#!/usr/bin/python
import RPi.GPIO as GPIO
import time

servoPIN = 18
t1 = 16
t2 = 7
pwm = 7.5

GPIO.setmode(GPIO.BCM)
GPIO.setup(servoPIN, GPIO.OUT)
GPIO.setup(t1, GPIO.IN, pull_up_down=GPIO.PUD_DOWN)
GPIO.setup(t2, GPIO.IN, pull_up_down=GPIO.PUD_DOWN)

p = GPIO.PWM(servoPIN, 50) 
p.start(pwm) 

try:
  while True:
    if GPIO.input(t1) == True and pwm < 12.5:
      pwm += 2.5
      p.ChangeDutyCycle(pwm)
      time.sleep(0.5)
      p.ChangeDutyCycle(0)
    if GPIO.input(t2) == True and pwm > 2.5:
      pwm -= 2.5
      p.ChangeDutyCycle(pwm)
      time.sleep(0.5)
      p.ChangeDutyCycle(0)

except KeyboardInterrupt:
  p.stop()
  GPIO.cleanup()
