#!/usr/bin/python
import RPi.GPIO as GPIO
import time
import subprocess

servoPIN = 21
GPIO.setmode(GPIO.BCM)
GPIO.setup(servoPIN, GPIO.OUT)
p = GPIO.PWM(servoPIN, 50) 
p.start(0) 

zeit = time.localtime()
m = zeit.tm_mon
pwm = (m/12*10)+2.5
p.ChangeDutyCycle(pwm)
time.sleep(0.5)
p.ChangeDutyCycle(0)

if m<4:
    subprocess.Popen(["omxplayer", "lied1.mp3"])
elif m<7:
    subprocess.Popen(["omxplayer", "lied2.mp3"])
elif m<10:
    subprocess.Popen(["omxplayer", "lied3.mp3"])
elif m<12:
    subprocess.Popen(["omxplayer", "lied4.mp3"])
else:
    subprocess.Popen(["omxplayer", "lied5.mp3"])

p.stop()
GPIO.cleanup()
