#!/usr/bin/python
import RPi.GPIO as GPIO
import time

GPIO.setmode(GPIO.BCM)
LED = 4
T1 = 16
T2 = 7

GPIO.setup(LED, GPIO.OUT)
GPIO.setup(T1, GPIO.IN, GPIO.PUD_DOWN)
GPIO.setup(T2, GPIO.IN, GPIO.PUD_DOWN)

pwm = 0
p = GPIO.PWM(LED, 50)
p.start(pwm)

try:
  while True:
    if GPIO.input(T1)==True and pwm<100:
      pwm += 10
    if GPIO.input(T2)==True and pwm>0:
      pwm -= 10
    p.ChangeDutyCycle(pwm)
    time.sleep(0.1)

except KeyboardInterrupt:
    p.stop()
    GPIO.cleanup()
