#!/usr/bin/python
import RPi.GPIO as GPIO
import time

LED = [[17, 22, 10],[10, 22, 17]]
x = 0
t1 = 8
servoPIN = 21

GPIO.setmode(GPIO.BCM)
GPIO.setup(t1, GPIO.IN, GPIO.PUD_DOWN)
GPIO.setup(servoPIN, GPIO.OUT)

pwm = 2.5
a = 2.5
p = GPIO.PWM(servoPIN, 50) 
p.start(pwm) 

for i in LED[0]:
    GPIO.setup(i, GPIO.OUT)

try:
  while True:
    p.ChangeDutyCycle(pwm)
    pwm += a
    if pwm==12.5 or pwm==2.5:
      a = -a
    time.sleep(0.2)
    p.ChangeDutyCycle(0)
    for i in LED[x]:
      GPIO.output(i, True)
      time.sleep(0.2)
      GPIO.output(i, False)
      if GPIO.input(t1) == True:
        x = 1-x

except KeyboardInterrupt:
  p.stop()
  GPIO.cleanup()
